0 Replies Latest reply on Nov 1, 2010 11:59 AM by Adam York

    Consolidation of FlexPMD information

    Adam York Level 1

      Just a thought , but it seems like the information here , http://opensource.adobe.com/wiki/display/flexpmd/FlexPMD+Eclipse+plugin, is not entirely correct in certain cases.

       

      If you donwload the latest all in one command line tools from the page nlisted above : it prompts you to dl this archive :

       

      http://opensource.adobe.com/svn/opensource/flexpmd/maven-repository/release/com/adobe/ac/f lex-pmd/1.1/flex-pmd-all-in-one-bundle-1.1.zip

       

      If you examine the contents of that folder , you'll notice all the jars are at version 1.1, as expected.

       

      However if you download the resource bunlde from here :

       

      http://opensource.adobe.com/wiki/display/flexpmd/Downloads , more specifically the latest all in one bundle ,

       

      http://opensource.adobe.com/svn/opensource/flexpmd/maven-repository/release/com/adobe/ac/f lex-pmd/1.2/flex-pmd-all-in-one-bundle-1.2.zip

       

       

      You'll notice the contents of the archive are version at 1.2.

       

      Which one is correct ?

       

      More importantly , as another person posted in an earlier thread , my FlexPMD outline window was showing up blank , everything else worked properly. I do not have a worspace or project that contains spaces , so as per the documentation i assumed the version of my eclipse plug in was out of data.

       

      However the only update site listed on the main FlexPMD page is :

       

      http://opensource.adobe.com/svn/opensource/flexpmd/plugin/trunk/flex-pmd-eclipse-plugin-si te

       

      However the version that this site contains is 1.0.0... something.

       

      It was only by digging around in these forums and by luck , I stumbled across , this update site reference :.

       

      http://www.rialvalue.com/flexPmd/updateSite/

       

      After installing that version of the plug in , the FlexPMD outline mode function correctly in Flash Builder.

       

      Would it be possible to get the main FlexPMD eclipse plugin page updated with all of the correct information ? My development team is going to be using this and it would great to have the current information in a single location.

       

       

      Thanks , great work on the plug in !